Subject: Re: bug#9084: 24.0.50; displaying man pages splits the window and formats the text for the full width of the whole frame rather than for the width of the window the text is displayed in, which is only 1/2 the width of the frame

From: Juri Linkov <[email-masked]>
Date: Sun, 17 Jul 2011 02:18:36 +0300

> When this is applied and the variable `Man-width' is set to some value,
> like 75, will the width of the window to display the manpage in be
> adjusted to the width of the text?

When you set `Man-width' to a positive integer, the manpage's text is
formatted to that width.  This variable doesn't affect the window's width.

> Just splitting the current window in half when it is 230 characters
> wide gives you two windows each about 115 characters wide while you
> might rather want the window with the manpage to be `Man-width'
> characters wide and the other window as wide as the rest of the frame.

But what if you have manpage buffers in both of horizontally split
side-by-side windows?

> Then there's the documentation about `Man-frame-parameters':
>
> ,---- [ M-x describe-variable Man-frame-parameters ]
[...]
> `----
>
> (I had to look at man.el to find out that I can set `Man-width'.)

Do you think `Man-width' should be mentioned in the docstring of `man'?

> And when you proceed to customise `Man-frame-parameters', you don't have
> any idea what to enter to always get a frame that makes the window
> `Man-width' characters wide.

Maybe the docstring of `Man-frame-parameters' should provide an example
of using the frame parameter `width'?

> My understanding would be that `Man-frame-parameters' must be ignored
> when running emacs on the console because there are only windows and no
> frames available.

`Man-frame-parameters' is ignored unless `Man-notify-method' is set
to the value `newframe'.  However, I don't know how the users
who prefer to set `pop-up-frames' to a non-nil value
specify the width of the manpage's frame
(when `Man-notify-method' is not `newframe')?